2024-07-16 01:34 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002866NetSurf[All Projects] Generalpublic2024-05-24 21:53
ReporterRemnant 
Assigned Tokinnison 
SeverityminorReproducibilityalways 
StatusresolvedResolutionfixed 
Platformx86_64OSArch LinuxOS Version6.7.4-arch1-1
Product Version3.11 
Target VersionFixed in Version3.12 
Summary0002866: Search from URL bar doesn't
DescriptionSelecting "Search from URL bar" does not allow one to search from the URL bar. Gives the "Error occurred fetching page" page, with "URL using bad/illegal format or missing URL".
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
kinnison

~0002447

kinnison (administrator)

nsurl_create() was incorrectly accepting invalid host components which meant that search_web_omni() wasn't triggering the search logic. This is fixed in 4a50da326a6fc27da1be1edf068ab50ea919384e which will be in 3.12
+Notes

-Issue History
Date Modified Username Field Change
2024-02-24 22:41 Remnant New Issue
2024-05-24 21:53 kinnison Assigned To => kinnison
2024-05-24 21:53 kinnison Status new => resolved
2024-05-24 21:53 kinnison Resolution open => fixed
2024-05-24 21:53 kinnison Fixed in Version => 3.12
2024-05-24 21:53 kinnison Note Added: 0002447
+Issue History